
From: Mikael Pettersson <mikpe@csd.uu.se>

This patch fixes a minor buglet in perfctr's ppc32 driver, which prevented
7400/7410-type processors from specifying a non-zero value for the
MMCR2[THRESHMULT] control field.

Signed-off-by: Mikael Pettersson <mikpe@csd.uu.se>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/perfctr/ppc.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/perfctr/ppc.c~perfctr-ppc32-buglet-fix drivers/perfctr/ppc.c
--- 25/drivers/perfctr/ppc.c~perfctr-ppc32-buglet-fix	Fri Jul  2 16:14:09 2004
+++ 25-akpm/drivers/perfctr/ppc.c	Fri Jul  2 16:14:09 2004
@@ -310,6 +310,7 @@ static int ppc_check_control(struct perf
 
 	switch (pm_type) {
 	case PM_7450:
+	case PM_7400:
 		if (state->control.ppc.mmcr2 & MMCR2_RESERVED)
 			return -EINVAL;
 		state->ppc_mmcr[2] = state->control.ppc.mmcr2;
_
